diff --git a/contrib/scripts/live_ast b/contrib/scripts/live_ast
index c1e7fad..63bef9a 100755
--- a/contrib/scripts/live_ast
+++ b/contrib/scripts/live_ast
@@ -99,6 +99,10 @@
 # is run.
 #LIVE_AST_BRISTUFFED_LIBPRI=yes
 #
+# LIVE_AST_VALGRIND_ARGS
+# Extra parameters to be passed to valgrind in the 'valgrind' subcommand.
+#LIVE_AST_VALGRIND_ARGS="-v --leak-check=full --suppressions=$PWD/contrib/valgrind.supp"
+#
 # LIVE_AST_FOR_SYSTEM
 # When generating asterisk.conf, use most components from the installed 
 # system. Also provide a sane var-run directory for those of us who want 
@@ -235,6 +239,10 @@ run)
   set_ld_env
   $AST_BIN -C $AST_CONF "$@"
   ;;
+valgrind)
+  set_ld_env
+  valgrind $LIVE_AST_VALGRIND_ARGS -- $AST_BIN -C $AST_CONF "$@"
+  ;;
 rsync)
   remote_host="$1"
   remote_dir="$2"
@@ -261,6 +269,7 @@ gdb)
   echo "$0 install              make install"
   echo "$0 samples              make samples"
   echo "$0 run [params]         asterisk [params]"
+  echo "$0 valgrind [params]    valgrind -- asterisk [params]"
   echo "$0 gdb                  gdb asterisk"
   echo "$0 rsync [user@]host dir  copy files over to [user@]host:dir"
   echo "$0 gen-live-asterisk    regenerate the wrapper ./live/asterisk"
